Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Why doesn't eclipse release an integrated version that supports multiple languages?
Why doesn't eclipse release an integrated version that supports multiple languages? [message #1842452] Sun, 20 June 2021 01:35 Go to next message
gueeisgrim Liuk is currently offline gueeisgrim LiukFriend
Messages: 1
Registered: June 2021
Junior Member
I have used eclipse for many years, and the projects I developed use multiple languages, such as Java, C++, and PHP.

I have to download many versions of eclipse. such as:

Eclipse IDE for Enterprise Java and Web Developers
Eclipse IDE for C/C++ Developers
Eclipse IDE for PHP Developers

and lots of plunges, such as python nodejs, etc.

When working on a project, it needs to switch to the eclipse versions frequently.

This is very troublesome, and let me boiling.

You can enter the link https://www.eclipse.org/downloads/packages/compare

So why doesn't eclipse release an integrated version that supports multiple languages? I think eclipse can release a version that includes all the packages in the link.

Is it difficult?
Re: Why doesn't eclipse release an integrated version that supports multiple languages? [message #1842456 is a reply to message #1842452] Sun, 20 June 2021 05:43 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31957
Registered: July 2009
Senior Member
One reason is that the combination of so many thing isn't generally tested and ends up not being pretty:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=483982

Nevertheless, if you want that, in the installer you can switch to advanced mode via the menu in the upper right, and on the first page, in the "Eclipse.org Applications" section, you will find the "Eclipse Eirlegende Wollmichsau" which you can choose to install everything the the release train.

I assume you're already aware that you can use Help -> Install New Software... to install anything you want (e.g,, that you see in that comparison table). Generally the release train site such as https://download.eclipse.org/releases/2021-06 will already be in the list and you can install anything or everything from that. So you can certainly achieve what you want.

If you want to get fancy, you can even create/define your own combination/package using Oomph to create a setup so that you can automatically install exactly and only the things you need/want:

https://wiki.eclipse.org/Eclipse_Oomph_Authoring


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:do I need to install Jakarta EE or something else to make my dynamic web project to work?
Next Topic:Eclipse 2021-06 macOS aarch64 builds, where are they?
Goto Forum:
  


Current Time: Sun Jul 25 03:31:11 GMT 2021

Powered by FUDForum. Page generated in 0.02963 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top